TIMEOUT(1)

NAMN
timeout - run a command with a time limit

SYNOPSIS
timeout [FLAGGA] LÖPTID KOMMANDO [ARG]...
timeout [FLAGGA]

BESKRIVNING

Starta KOMMANDO, och döda det om det fortfarande kör efter LÖPTID.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

--preserve-status

    Avsluta med samma status som KOMMANDO, även när tiden för

    kommandot löper ut.

--foreground

    När timeout inte körs direkt från en skalprompt,

    låt KOMMANDO läsa från TTY:n och ta emot TTY-signaler; i detta läge kommer tiden för barn till KOMMANDO inte gå ut.

-k, --kill-after=LÖPTID

    Skicka även en KILL-signal om KOMMANDO fortfarande kör så

    här länge efter att den ursprungliga signalen skickades.

-s, --signal=SIGNAL

    Ange signalen som skall skickas när tiden går ut;

    SIGNAL kan vara ett namn som ”HUP” eller ett nummer; se kill -l för en lista över signaler.

-v, --verbose
    Diagnostisera till standard fel signaler som skickas när tiden går ut.

--help
    Visa denna hjälp och avsluta.

--version
    Visa versionsinformation och avsluta.

LÖPTID är ett flyttal eventuellt följt av ett suffix: ”s” för sekunder (standard), ”m” för minuter, ”h” för timmar eller ”d” för dagar. En löptid på 0 avaktiverar den tillhörande tidsgränsen.

Om kommandot går över tiden, och --preserve-status inte är satt, avsluta då med status 124. Avsluta annars med slutstatusen från KOMMANDO. Om ingen signal anges, skicka signalen TERM när tiden går ut. Signalen TERM dödar en process som inte blockerar eller fångar den signalen. Det kan vara nödvändigt att använda signalen KILL (9) eftersom den signalen inte kan fångas, i vilket fall slutstatusen är 128+9 istället för 124.

BUGS
Some platforms don't currently support timeouts beyond the year 2038.

UPPHOVSMAN
Skrivet av Padraig Brady.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>.

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE OCKSÅ
kill(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/timeout>
eller tillgängligt lokalt via: info '(coreutils) timeout invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till <TODO>.